#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EGCBaseProtoObjectTypes {
    PartyInvite = 1001,
    LobbyInvite = 1002,
}

impl EGCBaseProtoObjectTypes {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::PartyInvite as i32 => Some(Self::PartyInvite),
            x if x == Self::LobbyInvite as i32 => Some(Self::LobbyInvite),
            _ => None,
        }
    }
}
